import { isArray } from '../lib/is-array.func';
import { isBigInt } from '../lib/is-big-int.func';
import { isBoolean } from '../lib/is-boolean.func';
import { isBooleanObject } from '../lib/is-boolean-object.func';
import { isBooleanType } from '../lib/is-boolean-type.func';
import { isClass } from '../lib/is-class.func';
import { isDate } from '../lib/is-date.func';
import { isDefined } from '../lib/is-defined.func';
import { isFalse } from '../lib/is-false.func';
import { isFunction } from '../lib/is-function.func';
import { isInstance } from '../lib/is-instance.func';
import { isKey } from '../lib/is-key.func';
import { isNull } from '../lib/is-null.func';
import { isNumber } from '../lib/is-number.func';
import { isNumberBetween } from '../lib/is-number-between.func';
import { isNumberObject } from '../lib/is-number-object.func';
import { isNumberType } from '../lib/is-number-type.func';
import { isObject } from '../lib/is-object.func';
import { isObjectKey } from '../lib/is-object-key.func';
import { isObjectKeyIn } from '../lib/is-object-key-in.func';
import { isObjectKeys } from '../lib/is-object-keys.func';
import { isObjectKeysIn } from '../lib/is-object-keys-in.func';
import { isObjectSomeKeys } from '../lib/is-object-some-keys.func';
import { isPrimitive } from '../lib/is-primitive.func';
import { isRegExp } from '../lib/is-regexp.func';
import { isString } from '../lib/is-string.func';
import { isStringIncludes } from '../lib/is-string-includes.func';
import { isStringIncludesSome } from '../lib/is-string-includes-some.func';
import { isStringLength } from '../lib/is-string-length.func';
import { isStringLengthBetween } from '../lib/is-string-length-between.func';
import { isStringObject } from '../lib/is-string-object.func';
import { isStringType } from '../lib/is-string-type.func';
import { isSymbol } from '../lib/is-symbol.func';
import { isTrue } from '../lib/is-true.func';
import { isType } from '../lib/is-type.func';
import { isUndefined } from '../lib/is-undefined.func';
import { IsNot } from '../not/interface/is-not.interface';
export interface Is {
    array: typeof isArray;
    bigint: typeof isBigInt;
    boolean: typeof isBoolean;
    booleanObject: typeof isBooleanObject;
    booleanType: typeof isBooleanType;
    class: typeof isClass;
    date: typeof isDate;
    defined: typeof isDefined;
    false: typeof isFalse;
    function: typeof isFunction;
    instance: typeof isInstance;
    key: typeof isKey;
    not: IsNot;
    null: typeof isNull;
    number: typeof isNumber;
    numberBetween: typeof isNumberBetween;
    numberObject: typeof isNumberObject;
    numberType: typeof isNumberType;
    object: typeof isObject;
    objectKey: typeof isObjectKey;
    objectKeyIn: typeof isObjectKeyIn;
    objectKeys: typeof isObjectKeys;
    objectKeysIn: typeof isObjectKeysIn;
    objectSomeKeys: typeof isObjectSomeKeys;
    primitive: typeof isPrimitive;
    regexp: typeof isRegExp;
    string: typeof isString;
    stringIncludes: typeof isStringIncludes;
    stringIncludesSome: typeof isStringIncludesSome;
    stringLength: typeof isStringLength;
    stringLengthBetween: typeof isStringLengthBetween;
    stringObject: typeof isStringObject;
    stringType: typeof isStringType;
    symbol: typeof isSymbol;
    true: typeof isTrue;
    type: typeof isType;
    undefined: typeof isUndefined;
}
